import { Attachment, Header, LinkTrackingOptions } from "../message/SupportingTypes";
export declare class UpdateTemplateRequest {
    constructor(Name?: string, Subject?: string, HtmlBody?: string, TextBody?: string, Alias?: string | null);
    Name?: string;
    Subject?: string;
    HtmlBody?: string;
    TextBody?: string;
    Alias?: string | null;
}
export declare class CreateTemplateRequest extends UpdateTemplateRequest {
    constructor(Name: string, Subject?: string, HtmlBody?: string, TextBody?: string, Alias?: string | null);
}
export declare class TemplateValidationOptions {
    constructor(Subject?: string, HtmlBody?: string, TextBody?: string, TestRenderModel?: object);
    Subject?: string;
    HtmlBody?: string;
    TextBody?: string;
    TestRenderModel?: object;
}
export interface Template extends UpdateTemplateRequest {
    Name: string;
    TemplateId: number;
    AssociatedServerId?: number;
    Active: boolean;
}
export interface Templates {
    TotalCount: number;
    Templates: [{
        Active: boolean;
        TemplateId: number;
        Name: string;
        Alias?: string | null;
    }];
}
export declare class TemplatesPushRequest {
    SourceServerID: number;
    DestinationServerID: number;
    PerformChanges: boolean;
    constructor(SourceServerID: number, DestinationServerID: number, PerformChanges: boolean);
}
export interface TemplatePushAction {
    Action: string;
    TemplateId?: number;
    Alias: string;
    Name: string;
}
export interface TemplatesPush {
    TotalCount: number;
    Templates: TemplatePushAction[];
}
export interface ValidationSection {
    ContentIsValid: boolean;
    ValidationErrors: object;
    RenderedContent: string;
}
export interface TemplateValidation {
    AllContentIsValid: boolean;
    HtmlBody: ValidationSection;
    TextBody: ValidationSection;
    Subject: ValidationSection;
    SuggestedTemplateModel: object;
}
export declare class TemplatedMessage {
    constructor(from: string, templateIdOrAlias: (number | string), templateModel: object, to?: string, cc?: string, bcc?: string, replyTo?: string, tag?: string, trackOpens?: boolean, trackLinks?: LinkTrackingOptions, headers?: Header[], attachments?: Attachment[]);
    TemplateId?: number;
    TemplateAlias?: string;
    TemplateModel?: object;
    InlineCss?: boolean;
    From: string;
    To?: string;
    Cc?: string;
    Bcc?: string;
    ReplyTo?: string;
    Tag?: string;
    TrackOpens?: boolean;
    TrackLinks?: LinkTrackingOptions;
    Headers?: Header[];
    Attachments?: Attachment[];
}
